<template>
  <view>
    <profit-filter @filter-change="handleFilterChange"></profit-filter>
    <profit-list :filterParams="currentFilterParams"></profit-list>
  </view>
</template>

<script>
import ProfitFilter from './components/ProfitFilter.vue'
import ProfitList from './components/ProfitList.vue'

export default {
  components: {
    ProfitFilter,
    ProfitList
  },
  data() {
    return {
      currentFilterParams: {}
    }
  },
  methods: {
    handleFilterChange(params) {
      this.currentFilterParams = params
    }
  }
}
</script>